import net.canarymod.database.DataAccess;
import net.canarymod.database.Column;
import net.canarymod.database.Column.ColumnType;
import net.canarymod.database.Column.DataType;

public class HighscoreTabelle extends DataAccess {
    @Column(columnName = "nummer",
            dataType   = DataType.INTEGER,
            columnType  = Column.ColumnType.PRIMARY)
    public int nummer = -1;

    @Column(columnName = "spieler",
            dataType   = DataType.STRING)
    public String spieler = "";

    @Column(columnName = "punkte",
            dataType   = DataType.INTEGER)
    public int punkte = 0;

    public HighscoreTabelle(){
        super("highscore_tabelle");
    }

    public DataAccess getInstance(){
        return new HighscoreTabelle();
    }
}