import net.canarymod.plugin.Plugin;
import net.canarymod.logger.Logman;
import net.canarymod.Canary;
import net.canarymod.commandsys.*;
import net.canarymod.chat.MessageReceiver;
import net.canarymod.api.entity.living.humanoid.Player;
import net.canarymod.api.world.position.Location;
import net.canarymod.api.world.blocks.BlockType;
import net.canarymod.api.world.World;

public class KuerbisPlugin extends Plugin implements CommandListener {
    @Override
    public boolean enable() {
        try{
            Canary.commands().registerCommands(this, this, false);
        }
        catch(Exception e){
            getLogman().error("Befehl konnte nicht registriert werden");
        }
        return true;
    }
    
    @Override
    public void disable() {
    }
    
    @Command(aliases = {"kuerbis"},
             description = "Platziert einen Krbis vor dem Spieler",
             permissions = {""},
             toolTip = "/kuerbis")
    public void kuerbisPlatzieren(MessageReceiver caller, String[] parameter){
        Player spieler = (Player) caller;
        
        Location position = spieler.getLocation();
        World welt = spieler.getWorld();
        
        position.setX(position.getX() + 2);
        double yStart = position.getY();
        
        for(int i = 0; i < 10; i++){
            position.setY(yStart + i);
            welt.setBlockAt(position, BlockType.Pumpkin);
        }
    }
}