import net.canarymod.Canary;
import net.canarymod.plugin.Plugin;
import net.canarymod.plugin.PluginListener;
import net.canarymod.hook.HookHandler;
import net.canarymod.hook.Hook;
import net.canarymod.hook.world.LightningStrikeHook;
import net.canarymod.commandsys.Command;
import net.canarymod.commandsys.CommandListener;
import net.canarymod.chat.MessageReceiver;

public class BlitzZaehlerPlugin extends Plugin implements PluginListener, CommandListener {
    int blitze = 0;

    @Override
    public boolean enable() {
        Canary.hooks().registerListener(this, this);
        try{
            Canary.commands().registerCommands(this, this, false);
        }
        catch(Exception e){
            getLogman().error("Befehl konnte nicht registriert werden");
        }
        return true;
    }
    
    @Override
    public void disable() {
    }
    
    @HookHandler
    public void blitzeZahlen(LightningStrikeHook ereignis){
        blitze++;
    }

    @Command(aliases = {"blitze"},
             description = "Zeigt die Anzahl der Blitze",
             permissions = {""},
             toolTip = "/blitze")
    public void blitzeAnzeigen(MessageReceiver caller, String[] parameter){
        caller.message(blitze + " Blitze");
    }
}