import net.canarymod.Canary;
import net.canarymod.plugin.Plugin;
import net.canarymod.plugin.PluginListener;
import net.canarymod.hook.HookHandler;
import net.canarymod.hook.player.PlayerMoveHook;
import net.canarymod.api.world.position.Location;

public class SperrzonenPlugin extends Plugin implements PluginListener {
    Location[] grenzen = new Location[4];
    
    @Override
    public boolean enable() {
        Canary.hooks().registerListener(this, this);
        grenzen[0] = new Location(250,0,250);
        grenzen[1] = new Location(500,0,250);
        grenzen[2] = new Location(250,0,50);
        grenzen[3] = new Location(500,0,50);
        return true;
    }
    
    @Override
    public void disable() {
    }
    
    @HookHandler
    public void bewegt(PlayerMoveHook ereignis){
        Location spielerPosition = ereignis.getTo();
        
        if(spielerPosition.getX() >= grenzen[0].getX() && spielerPosition.getX() <= grenzen[1].getX()){
            if(spielerPosition.getZ() >= grenzen[2].getZ() && spielerPosition.getZ() <= grenzen[0].getZ()){
                ereignis.getPlayer().teleportTo(ereignis.getFrom());
                ereignis.getPlayer().message("Betreten der Sperrzone verboten!");
            }
        }
    }
}