import java.util.LinkedList;
import java.util.Random;
import java.util.Scanner;

public class Quiz{
    public static void main(String[] args){
        LinkedList<Frage> fragen = new LinkedList <Frage>();
        fragen.add(new Frage("Wie heit die Hauptstadt von Frankreich?", "Paris", "Brssel", "Lyon", "Marseille"));
        fragen.add(new Frage("Wie ist der Spitzname des Minecraft-Erfinders?", "notch", "motch", "scotch", "botch"));
        fragen.add(new Frage("Wie viele Bundeslnder hat die Bundesrepublik Deutschland?", "16", "15", "17", "18"));

        Random zufallsgenerator = new Random();
        Scanner scanner = new Scanner(System.in);

        while(!fragen.isEmpty()){
            int index = zufallsgenerator.nextInt(fragen.size());
            Frage f = fragen.get(index);
            fragen.remove(f);

            System.out.println(f.getFrage());

            String[] antworten = new String[4];
            int richtigeAntwort = zufallsgenerator.nextInt(3);
            antworten[richtigeAntwort] = f.getRichtigeAntwort();

            int j = 0;
            for(int i = 0; i < 4; i++){
                if(i != richtigeAntwort){
                    antworten[i] = f.getFalscheAntworten()[j];
                    j++;
                }
            }

            for(int i = 0; i < 4; i++){
                System.out.print(i + ": " + antworten[i] + "   ");
            }

            System.out.println("");

            String eingabe = scanner.next();
            int ausgewaehlteAntwort = -1;

            try {
                ausgewaehlteAntwort = Integer.parseInt(eingabe);

                if(ausgewaehlteAntwort < 0 || ausgewaehlteAntwort > 3){
                    System.out.println("Ungltige Eingabe");
                }
                else{
                    if(ausgewaehlteAntwort == richtigeAntwort){
                        System.out.println("Richtig!");
                    }
                    else{
                        System.out.println("Falsch!");
                    }
                }
            }
            catch (NumberFormatException e) {
                System.out.println("Ungltige Eingabe");
            }
        }
    }
}