import net.canarymod.plugin.Plugin;
import net.canarymod.logger.Logman;
import net.canarymod.Canary;
import net.canarymod.commandsys.*;
import net.canarymod.chat.MessageReceiver;

public class HalloServerPlugin extends Plugin implements CommandListener {
    @Override
    public boolean enable() {
        try{
            Canary.commands().registerCommands(this, this, false);
        }
        catch(Exception e){
            getLogman().error("Befehl konnte nicht registriert werden");
        }
        return true;
    }
    
    @Override
    public void disable() {
    }
    
    @Command(aliases = {"halloServer"},
             description = "Sendet einen Gru an den Server",
             permissions = {""},
             toolTip = "/halloServer <name>",
             min = 2)
    public void halloServer(MessageReceiver caller, String[] parameter){
        String spielerName = parameter[1];
        Canary.instance().getServer().broadcastMessage("Hallo " + spielerName + "!");
    }
}