import net.canarymod.plugin.Plugin;
import net.canarymod.logger.Logman;
import net.canarymod.Canary;
import net.canarymod.commandsys.*;
import net.canarymod.chat.MessageReceiver;

public class PlusEinsPlugin extends Plugin implements CommandListener {
    @Override
    public boolean enable() {
        try{
            Canary.commands().registerCommands(this, this, false);
        }
        catch(Exception e){
            getLogman().error("Befehl konnte nicht registriert werden");
        }
        return true;
    }
    
    @Override
    public void disable() {
    }
    
    @Command(aliases = {"plusEins"},
             description = "Addiert 1 zur eingegebenen Zahl",
             permissions = {""},
             toolTip = "/plusEins <ganzzahl>",
             min = 2)
    public void plusEins(MessageReceiver caller, String[] parameter){
        String eingabe = parameter[1];
        
        try{
            long zahl = Long.valueOf(eingabe);
            zahl += 1;
            
            Canary.instance().getServer().broadcastMessage(String.valueOf(zahl));
        }
        catch(Exception e){
            Canary.instance().getServer().broadcastMessage("Ungltiger Parameter, bitte gib eine ganze Zahl als Parameter an.");
        }
    }
}