import net.canarymod.api.world.blocks.BlockType;
import net.canarymod.api.entity.living.humanoid.Player;
import net.canarymod.api.world.position.Location;
import net.canarymod.api.world.World;

class Mauer{
    int hoehe;
    int breite;
    BlockType material;
    
    public Mauer(int hoehe, int breite, BlockType material){
        this.hoehe = hoehe;
        this.breite = breite;
        this.material = material;
    }
    
    public void bauen(Player spieler){
        Location position = spieler.getLocation();
        World welt = spieler.getWorld();
        
        double yStart = position.getY();
        double zStart = position.getZ();
        
        position.setX(position.getX() + 2);
        
        for(int y = 0; y < this.hoehe; y++){
            position.setY(yStart + y);
            
            for(int z = 0; z < this.breite; z++){
                position.setZ(zStart + z);
                welt.setBlockAt(position, this.material);
            }
        }
    }
}